import 'package:flutter/services.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

//Hide keyboard after click outside
class SoftKeyboardDismisser extends StatelessWidget {
  var placeHolder = "";
  double padding = 0.0;
  bool fieldType = false;
  var textChange;

  SoftKeyboardDismisser(
      bool enablePwdField, String _placeHolder, double _padding, _textChange) {
    placeHolder = _placeHolder;
    fieldType = enablePwdField;
    padding = _padding;
    textChange = _textChange;
  }

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: GestureDetector(
        onTap: () {
          FocusScopeNode currentFocus = FocusScope.of(context);
          if (!currentFocus.hasPrimaryFocus) {
            currentFocus.unfocus();
          }
        },
        child: Scaffold(
          body: Container(
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(6),
              border: Border.all(color: Colors.grey, width: 1),
            ),
            child: Padding(
              padding: EdgeInsets.symmetric(horizontal: padding),
              child: fieldType
                  ? TextFormField(
                      keyboardType: TextInputType.text,
                      obscureText: true,
                      decoration: InputDecoration(
                        hintText: placeHolder,
                        border: InputBorder.none,
                      ),
                    )
                  : TextFormField(
                      keyboardType: TextInputType.text,
                      style: const TextStyle(
                        color: Colors.black,
                      ),
                      decoration: InputDecoration(
                        hintText: placeHolder,
                        border: InputBorder.none,
                      ),
                      onChanged: (value) {
                        textChange(value);
                      },
                    ),
            ),
          ),
        ),
      ),
    );
  }
}
